summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2013-10-28 04:31:59 +0100
committer Robby Workman2013-10-28 05:39:09 +0100
commit607898376746320ced7b40f75e687cf1c488e277 (patch)
tree95b49f6989328a8d774561d4ad2b5542d52a1a79
parent6b6f0cae560ca377ff8b60bf70b5cff5232164c4 (diff)
downloadslackbuilds-607898376746320ced7b40f75e687cf1c488e277.tar.gz
development/srecord: Added (tools for EPROM load files)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/srecord/README5
-rw-r--r--development/srecord/slack-desc19
-rw-r--r--development/srecord/srecord.SlackBuild91
-rw-r--r--development/srecord/srecord.info10
4 files changed, 125 insertions, 0 deletions
diff --git a/development/srecord/README b/development/srecord/README
new file mode 100644
index 0000000000..17bbd16c60
--- /dev/null
+++ b/development/srecord/README
@@ -0,0 +1,5 @@
+srecord (tools for EPROM load files)
+
+The SRecord package is a collection of powerful tools for manipulating
+EPROM load files. Many file formats are supported, too many to list here.
+See http://srecord.sourceforge.net/ for the full list.
diff --git a/development/srecord/slack-desc b/development/srecord/slack-desc
new file mode 100644
index 0000000000..b312a0bc6b
--- /dev/null
+++ b/development/srecord/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+srecord: srecord (tools for EPROM load files)
+srecord:
+srecord: The SRecord package is a collection of powerful tools for manipulating
+srecord: EPROM load files. Many file formats are supported, too many to
+srecord: list here. See http://srecord.sourceforge.net/ for the full list.
+srecord:
+srecord:
+srecord:
+srecord:
+srecord:
+srecord:
diff --git a/development/srecord/srecord.SlackBuild b/development/srecord/srecord.SlackBuild
new file mode 100644
index 0000000000..487009c684
--- /dev/null
+++ b/development/srecord/srecord.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for srecord
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=srecord
+VERSION=${VERSION:-1.62}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# don't need static lib, and --disable-static doesn't work
+rm -f $PKG/usr/lib$LIBDIRSUFFIX/*.a
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# --docdir is ignored, too
+mv $PKG/usr/share/doc/$PRGNAM/ $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/srecord/srecord.info b/development/srecord/srecord.info
new file mode 100644
index 0000000000..d94165809a
--- /dev/null
+++ b/development/srecord/srecord.info
@@ -0,0 +1,10 @@
+PRGNAM="srecord"
+VERSION="1.62"
+HOMEPAGE="http://srecord.sourceforge.net/"
+DOWNLOAD="http://srecord.sourceforge.net/srecord-1.62.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="c8afebd66c0b4cd2f317567b8e480310"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"